Kevin created NETBEANS-449:

             Summary: Compilation error for build from source (Ubuntu 17.10, 
Java 8, Ant 10.2)
                 Key: NETBEANS-449
             Project: NetBeans
          Issue Type: Bug
         Environment: Ubuntu 17.10, Java 8u151, Ant 1.10.2
            Reporter: Kevin
         Attachments: installing-apache-netbeans.log

I failed to build incubator Apache NetBeans from source. I cloned the master 
branch, ran ant v10.2 with Java 8u151 installed. It broke on a Java compilation 
     [echo] Bootstrapping NetBeans-specific Ant extensions...
    [javac] Compiling 53 source files to 
 error: class ZipArray inherits unrelated defaults for stream() from types 
ResourceCollection and Collection
    [javac]     private static final class ZipArray extends ArrayList<Resource>
    [javac]                          ^
    [javac] 1 error
ZipArray extended ArrayList and implemented ResourceCollection, so Java broke 
on the multiple stream() definitions. I am guessing Java 9 would get around 
this, but the documentation says it will work with Java 8.

This message was sent by Atlassian JIRA

To unsubscribe, e-mail:
For additional commands, e-mail:

For further information about the NetBeans mailing lists, visit:

Reply via email to